Debian Bug report logs - #239518
ITA: rpm -- Red Hat package manager

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joey Hess <joeyh@debian.org>

Date: Tue, 23 Mar 2004 05:48:02 UTC

Severity: normal

Fixed in version rpm/4.0.4-27

Done: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#239518; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: rpm -- Red Hat package manager
Date: Tue, 23 Mar 2004 00:39:53 -0500
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

I'm orphaning RPM. New upstream versions contain a non-free library
(elfutils). This makes it impossible to update the package, and I have
no intention or time to fork it. 

Whoever is stuck with taking this over, the best approach would probably
be to work with upstream to get rid of the new elfutils dependency,
which is not used for very much. Upstream is, I think, willing to
cooperate on this, but hasn't had time to do it himself.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#239518; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 239518@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo@sourcepole.ch>
To: 239518@bugs.debian.org
Subject: GPL vs. OSL
Date: Wed, 31 Mar 2004 10:20:55 +0200 (CEST)
AFAI can see elfutils is doubly licenced under GPL and/or OSL:

* two COPYING files - one for GPL other for OSL
* NEWS says:
  "[...]
   Version 0.91:
   [...]
   libelf: change to GPL from OSL1 for now."
* elfutils.spec says:
  "[...]
   %changelog
   * Wed Jan  7 2004 Jakub Jelinek <jakub@redhat.com> 0.91-2
   - macroized spec file for GPL or OSL builds"

Would you mind pointing me to some discussion of the problem, or
telling me why you think that the current state of elfutils represents a
problem?
*t

--
--------------------------------------------------------
  Tomas Pospisek
  http://sourcepole.com -  Linux & Open Source Solutions
--------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#239518; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Anibal Monsalve Salazar <anibal@its.monash.edu.au>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 239518@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@its.monash.edu.au>
To: debian-legal@lists.debian.org
Cc: 239518@bugs.debian.org
Subject: Re: GPL vs. OSL
Date: Thu, 22 Apr 2004 10:26:20 +1000
[Message part 1 (text/plain, inline)]
On Wed, Mar 31, 2004 at 10:20:55AM +0200, Tomas Pospisek wrote:
>AFAI can see elfutils is doubly licenced under GPL and/or OSL:
>
>* two COPYING files - one for GPL other for OSL
>* NEWS says:
>  "[...]
>   Version 0.91:
>   [...]
>   libelf: change to GPL from OSL1 for now."
>* elfutils.spec says:
>  "[...]
>   %changelog
>   * Wed Jan  7 2004 Jakub Jelinek <jakub@redhat.com> 0.91-2
>   - macroized spec file for GPL or OSL builds"
>
>Would you mind pointing me to some discussion of the problem, or
>telling me why you think that the current state of elfutils represents a
>problem?
>*t

Could someone shed some light on the license issues related to bug
#239518?

Anibal Monsalve Salazar
--
 .''`.  Debian GNU/Linux      | Building 28C
: :' :  Free Operating System | Monash University VIC 3800, Australia
`. `'   http://debian.org/    | http://www-personal.monash.edu/~anibal/
  `-                          |
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Anibal Monsalve Salazar <anibal@its.monash.edu.au> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#239518; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@dsl.pipex.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #22 received at 239518@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@dsl.pipex.com>
To: Anibal Monsalve Salazar <anibal@its.monash.edu.au>
Cc: debian-legal@lists.debian.org, 239518@bugs.debian.org
Subject: Re: GPL vs. OSL
Date: Thu, 22 Apr 2004 02:48:15 +0100
On 2004-04-22 01:26:20 +0100 Anibal Monsalve Salazar 
<anibal@its.monash.edu.au> wrote:

> On Wed, Mar 31, 2004 at 10:20:55AM +0200, Tomas Pospisek wrote:
>> AFAI can see elfutils is doubly licenced under GPL and/or OSL:
> Could someone shed some light on the license issues related to bug
> #239518?

elfutils went after 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=221761

I am rather irritated by the incomplete quoting of elfutils sources 
which trimmed key facts like:

* Wed Jan  7 2004 Jakub Jelinek <jakub@redhat.com> 0.91-1
- include only libelf under GPL plus wrapper scripts

or the copyright headers in the source files everywhere proclaiming 
that they are OSL-covered files. If you read through the %if %{gpl} 
sections of the spec in the upstream sources, I think you may find 
that you can build libelf to use binutils. I hope that's some use to 
you.

However, much of elfutils is still OSL and still non-free.

-- 
MJR/slef     My Opinion Only and possibly not of any group I know.
Please http://remember.to/edit_messages on lists to be sure I read
http://mjr.towers.org.uk/ gopher://g.towers.org.uk/ slef@jabber.at
 Creative copyleft computing services via http://www.ttllp.co.uk/



Tags added: pending Request was from Anibal Monsalve Salazar <anibal@its.monash.edu.au> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 239518-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
To: 239518-close@bugs.debian.org
Subject: Bug#239518: fixed in rpm 4.0.4-27
Date: Thu, 22 Apr 2004 00:02:08 -0400
Source: rpm
Source-Version: 4.0.4-27

We believe that the bug you reported is fixed in the latest version of
rpm, which is due to be installed in the Debian FTP archive:

librpm-dev_4.0.4-27_i386.deb
  to pool/main/r/rpm/librpm-dev_4.0.4-27_i386.deb
librpm4_4.0.4-27_i386.deb
  to pool/main/r/rpm/librpm4_4.0.4-27_i386.deb
lsb-rpm_4.0.4-27_i386.deb
  to pool/main/r/rpm/lsb-rpm_4.0.4-27_i386.deb
rpm_4.0.4-27.diff.gz
  to pool/main/r/rpm/rpm_4.0.4-27.diff.gz
rpm_4.0.4-27.dsc
  to pool/main/r/rpm/rpm_4.0.4-27.dsc
rpm_4.0.4-27_i386.deb
  to pool/main/r/rpm/rpm_4.0.4-27_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 239518@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org> (supplier of updated rpm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 22 Apr 2004 12:16:06 +1000
Source: rpm
Binary: rpm librpm-dev lsb-rpm librpm4
Architecture: source i386
Version: 4.0.4-27
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
Description: 
 librpm-dev - RPM shared library, development kit
 librpm4    - RPM shared library
 lsb-rpm    - Red Hat package manager for LSB package building
 rpm        - Red Hat package manager
Closes: 239518
Changes: 
 rpm (4.0.4-27) unstable; urgency=low
 .
   * New maintainer (Closes: #239518)
Files: 
 61508407a72bcfd7748ad69fd507fa0b 714 admin optional rpm_4.0.4-27.dsc
 9124849f695522f694f63b8ebe082a59 26769 admin optional rpm_4.0.4-27.diff.gz
 baf127b6a8b703a38edbc8abe13ad7c6 524720 admin optional rpm_4.0.4-27_i386.deb
 3a4c24831dc3ab1d4555430e25c9a475 832134 devel optional lsb-rpm_4.0.4-27_i386.deb
 e47af8f89a8b1107cd82012dfda302d6 366926 libs optional librpm4_4.0.4-27_i386.deb
 f2d03e0a4be93d08399036214059ea09 448578 libdevel extra librpm-dev_4.0.4-27_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAh0EpNOYipi+po4wRAkSfAJ43CPI4Lt29R1TiTsQPX4dKNFL/OQCfWHnW
yyT/d/507kbcGXTxzgqNzaA=
=pnUK
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:28:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.